org.apache.cassandra.io.util

## Class PoolingSegmentedFile.Cleanup

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile.Cleanup
  - - org.apache.cassandra.io.util.PoolingSegmentedFile.Cleanup

All Implemented Interfaces:
  RefCounted.Tidy

Direct Known Subclasses:
  CompressedPoolingSegmentedFile.Cleanup

Enclosing class:
  PoolingSegmentedFile

    protected static class PoolingSegmentedFile.Cleanup
    extends SegmentedFile.Cleanup

### Constructor Summary

Constructors
`protected` `Cleanup(ChannelProxy channel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `tidy()`

### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile.Cleanup

`name`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cleanup

    protected Cleanup(ChannelProxy channel)

### Method Detail

#### tidy

    public void tidy()

Specified by:
  `tidy` in interface `RefCounted.Tidy`
Overrides:
  `tidy` in class `SegmentedFile.Cleanup`